This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 446351 (thunderbird-cpio)

Summary: Cannot install latest thunderbird rpm
Product: [Fedora] Fedora Reporter: James Begley <bugs>
Component: thunderbirdAssignee: Gecko Maintainer <gecko-bugs-nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: jan.public, joachim.backes, mikem, PTrenholme, russ+bugzilla-redhat, tobias.vogel
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 13:56:32 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description James Begley 2008-05-14 04:46:05 EDT
Description of problem:
Cannot install latest thunderbird rpm.

Version-Release number of selected component (if applicable):
thunderbird-2.0.0.14-1.fc9.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. Download the thunderbird rpm (or use yum etc)
2. Attempt to install it
  
Actual results:
[root@jumbovaio Desktop]# rpm -Uvh thunderbird-2.0.0.14-1.fc9.i386.rpm 
Preparing...                ########################################### [100%]
   1:thunderbird            ########################################### [100%]
error: unpacking of archive failed on file /usr/lib/thunderbird-2.0.0.14/
dictionaries: cpio: rename failed - Is a directory

Expected results:
Thunderbird is successfully installed

Additional info:
Comment 1 Christopher Aillon 2008-05-14 09:50:38 EDT
What version were you upgrading from?
Comment 2 James Begley 2008-05-14 10:22:02 EDT
[root@jumbovaio Desktop]# rpm -qa | grep thunderbird
thunderbird-2.0.0.14-1.fc8.i386

Hmm ... I suspect that the preupgrade process to move from fedora 8 to fedora 9 
hasn't worked as well as it should have.
Comment 3 James Begley 2008-05-14 10:58:24 EDT
[root@jumbovaio Desktop]# mv /usr/lib/thunderbird-2.0.0.14/dictionaries /usr/
lib/thunderbird-2.0.0.14/dictionaries.old
[root@jumbovaio Desktop]# rpm -Uvh thunderbird-2.0.0.14-1.fc9.i386.rpm 
Preparing...                ########################################### [100%]
   1:thunderbird            ########################################### [100%]

The problem seems to be caused by the f8 version installing the dictionaries, 
and the f9 version installing a symlink to the system dictionaries.  A hacky 
approach that has worked for me is to move the old dictionaries to a different 
location (after stopping thunderbird) and then upgrading to the f9 version.  
This seems to have worked - I can run thunderbird and select the dictionary to 
use from the system ones OK.
Comment 4 Mike McLean 2008-05-14 15:24:01 EDT
I hit this as well. I ended up removing the old thunderbird and installing the
new one. It seems really odd b/c the version is the same (2.0.0.14). You
wouldn't expect a change like this in such a case.
Comment 5 Christopher Aillon 2008-05-14 16:11:10 EDT
Sigh.  The problem is we want to do this for the new consolidated dictionaries
feature which is in F9, but not in F8.  But it seems we can never do that in
Fedora $release when we ship the same RPM version of Thunderbird in $release -1
due to this stupid bug.  We were able to do it for XULRunner because we never
shipped XULRunner in F8.  In F9, it also hit many people because this happened
without changing the location of the file.  I was waiting on a new version to
add it to Thunderbird in F9 as the file location would change from .13 to .14,
but it seems that is not even sufficient as it obviously breaks upgrades within
the same RPM version.

Sigh.  Yes, the workaround is to rpm -e thunderbird.

And I'll undo the feature in an update.  Which sucks because it adds duplicate
and stale data back onto the system.
Comment 6 Christopher Aillon 2008-05-14 16:13:58 EDT
I suppose the real thing to do is:

* Revert the symlink right now in F9
* When the version changes again:
  - Move the current dictionaries file in F7 and F8 to be a different directory
and add a symlink there.
  - Re-introduce the symlink to F9
Comment 7 Mike McLean 2008-05-15 11:08:34 EDT
I suppose you could also solve it with a careful %pre. Not sure what the
packaging guidelines have to say about such things at present.
Comment 8 Christopher Aillon 2008-05-16 14:20:59 EDT
%pre is too late.  We need to do %pretrans if we want to do it, which involves lua.
Comment 9 Matěj Cepl 2008-05-19 04:09:24 EDT
*** Bug 446885 has been marked as a duplicate of this bug. ***
Comment 10 Matěj Cepl 2008-05-19 04:14:00 EDT
*** Bug 447168 has been marked as a duplicate of this bug. ***
Comment 11 Matěj Cepl 2008-06-02 16:41:13 EDT
*** Bug 449316 has been marked as a duplicate of this bug. ***
Comment 12 Bug Zapper 2009-06-09 20:47:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-07-14 13:56:32 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.